// File automatically generated by ESPAM

#ifndef Times212_reshape0_H
#define Times212_reshape0_H
#include "csdfNode.h"
#include <map>

class Times212_reshape0 : public csdfNode{
public:
    Times212_reshape0();
    virtual ~Times212_reshape0();

    void main(void *threadarg) override;
    // specific const parameters definition
    std::map<std::string,int> int_params;
  const int neurons = 1;

  //FIFO sizes
    int IP0_fifo_size;
    int OP0_fifo_size;

  const int Pooling160_dims = 3;
  //Pooling160 array definition
    const int Pooling160_dim_0 = 16;
    const int Pooling160_dim_1 = 4;
    const int Pooling160_dim_2 = 4;
    int Pooling160[16][4][4] = {{{0}}};

  const int output_dims = 3;
  //output array definition
    const int output_dim_0 = 16;
    const int output_dim_1 = 4;
    const int output_dim_2 = 4;
    int output[16][4][4] = {{{0}}};

  //specific node parameters and functions
};
#endif // Times212_reshape0_H
